--- old/usr/src/head/search.h	Sat Aug  2 23:27:13 2014
+++ new/usr/src/head/search.h	Sat Aug  2 23:27:13 2014
@@ -22,8 +22,9 @@
 /*	Copyright (c) 1988 AT&T	*/
 /*	  All Rights Reserved  	*/
 
-
 /*
+ * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ *
  * Copyright 2003 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
@@ -31,8 +32,6 @@
 #ifndef _SEARCH_H
 #define	_SEARCH_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"	/* SVr4.0 1.3.1.11 */
-
 #include <sys/feature_tests.h>
 #include <sys/types.h>
 
@@ -52,8 +51,6 @@
 
 typedef struct entry { char *key, *data; } ENTRY;
 
-#if defined(__STDC__)
-
 int hcreate(size_t);
 void hdestroy(void);
 ENTRY *hsearch(ENTRY, ACTION);
@@ -62,35 +59,16 @@
 void remque(void *);
 #endif
 
-#else /* defined(__STDC__) */
 
-int hcreate();
-void hdestroy();
-ENTRY *hsearch();
-#if defined(__EXTENSIONS__) || !defined(_XOPEN_SOURCE) || defined(_XPG4_2)
-void insque();
-void remque();
-#endif
-
-#endif /* defined(__STDC__) */
-
 /* TSEARCH(3C) */
 typedef enum { preorder, postorder, endorder, leaf } VISIT;
 
-#if defined(__STDC__)
 void *tdelete(const void *_RESTRICT_KYWD, void **_RESTRICT_KYWD,
 	int (*)(const void *, const void *));
 void *tfind(const void *, void *const *, int (*)(const void *, const void *));
 void *tsearch(const void *, void **, int (*)(const void *, const void *));
 void twalk(const void *, void (*)(const void *, VISIT, int));
-#else
-void *tdelete();
-void *tfind();
-void *tsearch();
-void twalk();
-#endif
 
-#if defined(__STDC__)
 
 #if defined(__EXTENSIONS__) || !defined(_XOPEN_SOURCE)
 /* BSEARCH(3C) */
@@ -103,11 +81,6 @@
 	    int (*)(const void *, const void *));
 void *lsearch(const void *, void *, size_t *, size_t,
 	    int (*)(const void *, const void *));
-#else
-void *bsearch();
-void *lfind();
-void *lsearch();
-#endif
 
 #ifdef	__cplusplus
 }
